#ifndef LIBRARY_H
#define LIBRARY_H

extern int numBooks;

struct Book
{
  char * authorLastName;
  char * authorFirstName;
  char * title;
  double callNumber;
};

typedef struct Book Book;

extern Book * books;


void makeLibrary();
void sortByTitle();
void sortByAuthor();
void sortByCallNumber();
void destroyLibrary();
void printBooks();
void printBook(int);
void swapBooks(int, int);
#endif
